@charset "utf-8";
@import 'mixins';

/*
   New Perspectives on HTML5 and CSS3, 8th Edition
   Assignment 1
   
   Author: Aaron Ng
   Date: 12 May 2024    
   Filename: Product Payment.css

*/

body{
    font-family: Helvetica;
}
fieldset{
    border: none;
    border-bottom: 1px solid #f2f2f2;
    padding-bottom: 20px;
    margin-bottom: 20px;
}

label{
    font-size: 14px;
}

.donation-container{
    max-width: 500px;
    margin: 0 auto;
    padding: 35px;
    border: 1px solid #f2f2f2;
}

.progress-loader { 
    position: absolute; 
    top: 50%; 
    left: 50%;
    transform: translateX(-50%) translateY(-50%); 
    transform-origin: center;
    text-align: center; 
    width: 60px; 
    height: 60px; 
    line-height: 60px; 
}
.honor-form, .donately-donation-form{
    position: relative;
    background: #ffffff;
}
input[type='text']{
  line-height: normal;
  height: auto;
  width: auto;
  margin: 0 0 10px 0;
  font-size: 16px;
  padding: 0.5em 0.5em;
  display: block;
  background-color: #fff;
  color: #333;
  position: relative;
  border: 1px solid #ccc;
} 
input[type='text']:focus{
    outline: none;
    border: 1px solid #2dad61;
}
button{
  font-family: inherit;
  margin: 0;
  font-size: 16px;
  vertical-align: middle;
  border-radius: 3px;
  text-decoration: none;
  color: #fff;
  border: 1px solid transparent;
  background: #2dad61;
  padding: 10px 20px;
  cursor: pointer;
  text-transform: uppercase;
}
button:focus{
    outline: none;
}

.form-half{
    width: 50%;
    float: left;
    height: 70px;
}